Bug 468623 - Enhancement request: comments to add to crontab
Enhancement request: comments to add to crontab
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: crontabs (Show other bugs)
5.2
All Linux
medium Severity low
: rc
: ---
Assigned To: Marcela Mašláňová
BaseOS QE
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-26 16:42 EDT by Todd
Modified: 2016-07-18 20:07 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-03 10:22:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CentOS 3212 None None None Never

  None (edit)
Description Todd 2008-10-26 16:42:11 EDT
Hi All,

This is an enhancement request.  (Couldn't find "enhancement" on the
severity drop down, so I picked "low").

Please reference CentOS bugzilla: http://bugs.centos.org/view.php?id=3212
(CentOS told me to report this to you).

Every time I go to use /etc/crontab, I forget how to use it. It is
a bit of a pain in the neck to always have to open the manual page.

To combat this, I insert the below comments in all my crontab file. It is
very helpful. Would you please consider adding it to the default crontab,
so as to help other folks the way these comments have helped me?

Many thanks,
-T


# The time and date fields are:
#
# field allowed values
# ----- --------------
# minute 0-59
# hour 0-23
# day of month 1-31
# month 1-12 (or names)
# day of week 0-7 (0 or 7 is Sun, or names)
#
# Asterisk (*) = first-last (wild)
#
Comment 1 Marcela Mašláňová 2008-12-03 10:22:48 EST
That is for what manual pages are.

Anyway '/etc/crontab' usually includes some cron jobs, which could give you hint.
Comment 2 Todd 2016-07-18 20:07:10 EDT
I just noticed that you guys did accept this and have incorporated it into both Fedora 24 and EL 7.2

SHELL=/bin/bash
PATH=/sbin:/bin:/usr/sbin:/usr/bin
MAILTO=root

# For details see man 4 crontabs

# Example of job definition:
# .---------------- minute (0 - 59)
# |  .------------- hour (0 - 23)
# |  |  .---------- day of month (1 - 31)
# |  |  |  .------- month (1 - 12) OR jan,feb,mar,apr ...
# |  |  |  |  .---- day of week (0 - 6) (Sunday=0 or 7) OR sun,mon,tue,wed,thu,fri,sat
# |  |  |  |  |
# *  *  *  *  * user-name  command to be executed



Very cool.  I have already used it a few times.  THANK YOU!

-T

Note You need to log in before you can comment on or make changes to this bug.